# class Tk::Tcllib::Widget::Panelframe

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::panelframe')
      rescue
        ''
      end
    end

### Public Instance Methods

add(what, *args) click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 49
    def add(what, *args)
      window(tk_send('add', *args))
    end

delete(*wins) click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 71
    def delete(*wins)
      tk_send('delete', *wins)
      self
    end

items() click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 76
    def items
      simplelist(tk_send('items')).collect!{|w| window(w)}
    end

remove(*wins) click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 62
    def remove(*wins)
      tk_send('remove', *wins)
      self
    end

remove_destroy(*wins) click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 66
    def remove_destroy(*wins)
      tk_send('remove', '-destroy', *wins)
      self
    end

set_widget(widget) click to toggle source

def get_frame

    window(tk_send('getframe'))

end

    # File lib/tkextlib/tcllib/panelframe.rb, line 57
    def set_widget(widget)
      tk_send('setwidget', widget)
      self
    end

### Private Instance Methods

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/panelframe.rb, line 39
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end